# Generated by Django 3.2.2 on 2021-05-28 13:04

from django.db import migrations, models

def create_chats(apps, scheme_editor):

    LeadCustomerModel = apps.get_model('customers', 'LeadCustomerModel')
    LeadletCustomerModel = apps.get_model('customers', 'LeadletCustomerModel')

    ChatModel = apps.get_model('communications', 'ChatModel')

    for instance in LeadCustomerModel.objects.filter(deleted=False):
        chatInstance = ChatModel.objects.create(operator=instance.operator)
        instance.chat = chatInstance.ID
        instance.save()

    for instance in LeadletCustomerModel.objects.filter(deleted=False):
        chatInstance = ChatModel.objects.create(operator=instance.operator)
        instance.chat = chatInstance.ID
        instance.save()

def delete_chats(apps, scheme_editor):

    LeadCustomerModel = apps.get_model('customers', 'LeadCustomerModel')
    LeadletCustomerModel = apps.get_model('customers', 'LeadletCustomerModel')

    for instance in LeadCustomerModel.objects.filter(deleted=False):
        instance.chat.delete()
        instance.save()

    for instance in LeadletCustomerModel.objects.filter(deleted=False):
        instance.chat.delete()
        instance.save()

class Migration(migrations.Migration):

    dependencies = [
        ('customers', '0013_auto_20210914_0828'),
    ]

    operations = [
        migrations.RunPython(create_chats, delete_chats)
    ]
